Resource Center/Hardware/Primary Storage Operations
PUTPrimary Storage OperationsSince 0.6SynchronousAuth Required
ReconnectPrimaryStorage
ReconnectPrimaryStorage
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe primary storage UUID.
Body Fields
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/primary-storage/{uuid}/actions
/zstack/v1/primary-storage/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/primary-storage/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "name": "PS1", "url": "/Cloud_ps", "type": "LocalStorage", "state": "Enabled", "status": "Connected", "attachedClusterUuids": [ "830a084ef24849cb8e65ffccb1e20e03" ] } }Change History
This API has no change history records yet.
